package com.bonus.sgzb.app.service.impl;

import com.bonus.sgzb.app.domain.BmAgreementInfo;
import com.bonus.sgzb.app.mapper.BmAgreementInfoMapper;
import com.bonus.sgzb.app.service.BmAgreementInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
/**
* Description:
* @Author 阮世耀
* @Create 2023/12/13 14:47
* @Version 1.0
*/

@Service
public class BmAgreementInfoServiceImpl implements BmAgreementInfoService{

    @Resource
    private BmAgreementInfoMapper bmAgreementInfoMapper;

    @Override
    public int deleteByPrimaryKey(Integer agreementId) {
        return bmAgreementInfoMapper.deleteByPrimaryKey(agreementId);
    }

    @Override
    public int insert(BmAgreementInfo record) {
        return bmAgreementInfoMapper.insert(record);
    }

    @Override
    public int insertSelective(BmAgreementInfo record) {
        return bmAgreementInfoMapper.insertSelective(record);
    }

    @Override
    public BmAgreementInfo selectByPrimaryKey(Integer agreementId) {
        return bmAgreementInfoMapper.selectByPrimaryKey(agreementId);
    }

    @Override
    public int updateByPrimaryKeySelective(BmAgreementInfo record) {
        return bmAgreementInfoMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(BmAgreementInfo record) {
        return bmAgreementInfoMapper.updateByPrimaryKey(record);
    }

}
